#Makefile for simple ASCII demo by the Introx team.
OBJS = src/main.o src/initncurses.o src/initgfx.o src/initfmod.o
EXECUTABLE = simple 
TUNE = src/aud/mod.lit

CFLAGS = -Wall -ansi -s
COMPILE =$(CC) $(CFLAGS) -c  

CC = gcc
LFLAGS = -lncurses -s src/fmod/libfmod-3.73.so -lpthread -lm

all: $(EXECUTABLE)

$(EXECUTABLE): $(OBJS)
	$(CC) -o $(EXECUTABLE) $(OBJS) $(LFLAGS)
	cat $(TUNE) >> $(EXECUTABLE) # :-)

main.o: src/main.h

%.o: %.c
	$(COMPILE) -o $@ $<

clean:
	#-rm src/$(OBJS) $(EXECUTABLE) src/*~
	-rm $(EXECUTABLE)
	-rm src/*.o
	-rm src/*~
	-rm ./*~
